/**
 *
 */
var grid;
var persistenceBanco;

jQuery(document).ready(function() {
	loadListaCliente();
});

function loadListaCliente() {
	document.addEventListener("deviceready", onListaCliente, false);
}

function onListaCliente() {

	document.addEventListener("backbutton", botaoBackListaPedido, false);
	//localStorage.setItem("clienteEditar", '')
	(function($) {
		eventoBotaoClick('.botao');
		localStorage.setItem("clienteEditar", '');

		$(".Menu").hide(0);
		$(".opcaoMenu").on('click', function(e) {
			e.preventDefault();
			jQuery('body,html').scrollTop(0);

			$('.Menu').toggle();
			var menu = $(".Menu");
			var he = $("#header");

			$(".Menu").toggleClass("menuAberto");
			console.log("TROCOU");
		});

		$("input#pesquisaValor").ezpz_hint();

		$('#tipoListaBottao').on('click', function(e) {
			e.preventDefault();

			var ads = {
				'teste' : {
					type : 'iframe',
					src : '../../../view/popup/tipoLista_cliente.html'
				}
			};

			jQuery('body').adPopupPro({
				ads : ads,
				show_type : 'always',
				show_chance : 1,
				show_close_button : false,
				mobile : true,
				tablets : true,
				min_screen_size : '0x0',
				internet_explorer : 'normal',
				os : '',
				cookie_id : '2',
				popup_color : 'light',
				popup_shadow : true,
				overlay_opacity : 0.5,
				overlay_color : 'dark',
				overlay_close : true,
				escape_close : true,
				auto_close_after : false
			});

		});

		$('#botaoSincronizar').on('click', function(e) {
			e.preventDefault();
			grid.pararGerarGrid();
			var ads = {
				'teste' : {
					type : 'iframe',
					src : '../../../view/popup/progresso.html'
				}
			};
			jQuery('.container').adPopupPro({
				ads : ads,
				show_type : 'always',
				show_chance : 1,
				show_close_button : false,
				mobile : true,
				tablets : true,
				min_screen_size : '0x0',
				internet_explorer : 'normal',
				os : '',
				cookie_id : '2',
				popup_color : 'light',
				popup_shadow : true,
				overlay_opacity : 0.5,
				overlay_color : 'dark',
				overlay_close : false,
				escape_close : false,
				auto_close_after : false
			});

			setTimeout(function() {
				jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '10%');
				persistenceBanco.query("confSinc").all().execute().done(function(results) {
					jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '20%');
					var retorno = results[0];
					jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '30%');
					var clienteEnviar = new ExeInsereClientes(retorno.ip, retorno.banco, function() {
						jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '40%');
						var cliente = new SincClientes(retorno.ip, retorno.banco, retorno.empresa, retorno.vendedor, function() {
							jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '50%');
							var listaPreco = new SincListaPreco(retorno.ip, retorno.banco, function() {
								jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '62%');
								var listaPrecoProduto = new SincListaPrecoProduto(retorno.ip, retorno.banco, retorno.empresa, function() {
									jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '75%');
									var formaPagamento = new SincFormaPagamento(retorno.ip, retorno.banco, function() {
										jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '87%');
										var formaPagamentoCliente = new SincFormaPagamentoCliente(retorno.ip, retorno.banco, retorno.empresa, retorno.vendedor, function() {
											jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '100%');
											setTimeout(function() {
												jQuery('.adpopup').remove();
												jQuery('.adpopup-overlay').remove();

												persistenceBanco.query("clientes").all().execute().done(function(results) {
													bd = results;
													gridGrande();
												});

											}, 1000);
										});
									});
								});
							});
						});
					});
				});
			}, 1000);
		});

		abrirBanco(function(a) {
			persistenceBanco = a;
			var start = new Date().getTime();
			persistenceBanco.clientes.query().all().execute().done(function(results) {
				bd = results;
				gridGrande();
			});

			var valor = '';
			var clickEventType = ((document.ontouchstart !== null) ? 'click' : 'touchstart');
			$("#pesquisaValor").on('keypress',function(e) {
				//alert(e.keyCode);
				if (e.keyCode == 13) {
					valor = $("#pesquisaValor").val();
					persistenceBanco.query('clientes').filter(function(e) {
						return e.nome.toLowerCase().indexOf(valor) != -1 || e.fantasia.toLowerCase().indexOf(valor) != -1 || e.cidade.toLowerCase().indexOf(valor) != -1;
					}).execute().done(function(results) {
						grid.setValorPesquisar(results, 'linhaPrincipal', function() {
						});
					});
				}
			});
		});

		$('#filtrarMenu').on('click', function(e) {
			e.preventDefault();
			grid.pararGerarGrid();
			var ads = {
				'teste' : {
					type : 'iframe',
					src : '../../../view/popup/filtrarCliente.html'
				}
			};
			jQuery('.container').adPopupPro({
				ads : ads,
				show_type : 'always',
				show_chance : 1,
				show_close_button : false,
				mobile : true,
				tablets : true,
				min_screen_size : '0x0',
				internet_explorer : 'normal',
				os : '',
				cookie_id : '2',
				popup_color : 'light',
				popup_shadow : true,
				overlay_opacity : 0.5,
				overlay_color : 'dark',
				overlay_close : false,
				escape_close : false,
				auto_close_after : false
			});

		});

		$('#ordenarMenu').on('click', function(e) {
			e.preventDefault();
			grid.pararGerarGrid();
			var ads = {
				'teste' : {
					type : 'iframe',
					src : '../../../view/popup/ordenacaoCliente.html'
				}
			};
			jQuery('.container').adPopupPro({
				ads : ads,
				show_type : 'always',
				show_chance : 1,
				show_close_button : false,
				mobile : true,
				tablets : true,
				min_screen_size : '0x0',
				internet_explorer : 'normal',
				os : '',
				cookie_id : '2',
				popup_color : 'light',
				popup_shadow : true,
				overlay_opacity : 0.5,
				overlay_color : 'dark',
				overlay_close : false,
				escape_close : false,
				auto_close_after : false
			});

		});

	})(jQuery);

}

function gridGrande() {

	if (grid != undefined) {
		grid.pararGerarGrid();
		jQuery('.adpopup-overlay.adpopup-style-overlay-dark').trigger("click");
		document.getElementById("container").innerHTML = null;
	}
	grid = new ListaGrid("", bd, ".container");

	//SETAR UM MODOLO
	grid.setTitulo(["nome"]);

	grid.adicionarElemento('0', 'fantasia', '6', 'left');
	grid.adicionarElemento('0', 'Pedido:', '2', 'right', 'blue');
	grid.adicionarElemento('0', 'ultData', '4', 'left');
	grid.adicionarElemento('1', 'cpfCnpj', '6', 'left');
	grid.adicionarElemento('1', 'Total:', '2', 'right', 'blue');
	grid.adicionarElemento('1', 'ultTotal', '4', 'left');
	grid.adicionarElemento('2', 'cidade', '6', 'left');
	grid.adicionarElemento('2', 'Status:', '2', 'right', 'blue');
	grid.adicionarElemento('2', 'sinc', '4', 'left');
	grid.setNumerosMaxLinhas(3);

	grid.setarCorCondicao(['sinc', 'nome'], 'sinc', 'red', '==', 0);
	grid.setarCorCondicao(['sinc', 'nome'], 'ativo', 'red', '==', 0);

	//SETAR VALORES A SUBSTITUIR
	listaPreco = [["0", " Indefinida - 0"]];
	grid.adicionarValoresLinhas("listaPrecoId", listaPreco);

	//seta valores especificas para sua propria linha
	// substitui valores informados
	var sincronizado = [['0', 'Pendente'], ['1', 'Sincronizado']];
	grid.adicionarValoresLinhas('sinc', sincronizado);

	//adiciona valores extras ao sinc - caso o 'ativo'
	//for igual a 0 ele substitui qualquer valor do sinc pelo Inativo
	grid.adicionarValoresExtras('sinc', 'ativo', ['0', 'Inativo']);

	//seta valor da linha baseada nela mesma
	grid.setCorPalavrasLinhas('sinc', [['0', '#F52C2C'], ['1', '#0C0FEB']]);

	//caso a linha for adicionado valores extras
	//e o valor for de tal valor utiliza essa cor
	grid.sobrescreverCoresLinha('sinc', 'Inativo', '#F52C2C');

	// seta cor do titulo de acordo com alguma linha
	// grid.corFundo('ativo', [['1', '#E3F0A1'], ['0', '#F0A1F0', '0.5']]);

	// seta cor do titulo baseado em outra linha
	grid.setCorTituloOutraLinha('ativo', [['0', '#F52C2C'], ['1', '#0C0FEB']]);

	//formata numero para valores em reais
	grid.setNumeroFormatado('ultTotal');

	grid.montarCampos('linhaPrincipal', function() {
		//alert($('#linhaPrincipal').length);

		// new setarFont('.row .linhaContainer #linhaPrincipal', '30px', '11px', 1.5);
		// new setarFont('.row .linhaContainer #linhaSecundariaDescricao', '20px', '12px', 1.5);
		// new setarFont('.row .linhaContainer #linhaSecundariaDinamica', '20px', '12px', 1.5);
		// new setarFont('.row .linhaContainer #linhaSecundariaDescricaoAux', '20px', '12px', 1);
		// new setarFont('.row .linhaContainer #linhaSecundariaDinamicaAux', '20px', '12px', 0.5);
	});
}

function listaSimples() {
	if (grid != undefined) {
		grid.pararGerarGrid();
		jQuery('.adpopup-overlay.adpopup-style-overlay-dark').trigger("click");
		document.getElementById("container").innerHTML = null;
	}

	grid = new ListaGrid("", bd, ".container");

	//SETAR UM MODOLO
	grid.setTitulo(["nome"]);

	grid.setNumerosMaxLinhas(0);

	grid.setarCorCondicao(['nome'], 'sinc', 'red', '==', 0);

	grid.montarCampos('linhaPrincipalSimples', function() {
		// jQuery('.row .linhaContainer #linhaPrincipal');
		// new setarFont('.row .linhaContainer #linhaSecundariaDescricao', '20px', '12px', 1.5);
		// new setarFont('.row .linhaContainer #linhaSecundariaDinamica', '20px', '12px', 1.5);
		// new setarFont('.row .linhaContainer #linhaSecundariaDescricaoAux', '20px', '12px', 1);
		// new setarFont('.row .linhaContainer #linhaSecundariaDinamicaAux', '20px', '12px', 0.5);
	});

	var valor = '';
	var clickEventType = ((document.ontouchstart !== null) ? 'click' : 'touchstart');
	jQuery("#botaoBuscaB").on(clickEventType, function(e) {
		e.preventDefault();

		valor = jQuery("input#pesquisaValor").val();
		abrirBanco(function(persistenceBanco) {
			persistenceBanco.query('clientes').filter(function(e) {
				return e.nome.toLowerCase().indexOf(valor) != -1 || e.fantasia.toLowerCase().indexOf(valor) != -1 || e.cidade.toLowerCase().indexOf(valor) != -1;
			}).execute().done(function(results) {
				grid.setValorPesquisar(results, function() {
				});
			});
		});

	});
}

// metodo da acão do clique do item do grid
function retornoGrid(a) {
	localStorage.setItem("pedidoCliente", JSON.stringify(a));

	window.location.replace('../../../view/pedidos/pedidoFinal.html');

}

function filtroCliente(valorReferencia) {
	if (valorReferencia == 'ativos') {
		valorReferencia = 1;
	} else if (valorReferencia == 'inativos') {
		valorReferencia = 0;
	} else {
		valorReferencia = '';
	}
	if (valorReferencia !== '') {
		abrirBanco(function(a) {
			persistenceBanco = a;
			persistenceBanco.clientes.query().filter('ativo', valorReferencia + "").execute().done(function(results) {
				bd = results;
				gridGrande();
			});
		});
	} else {
		abrirBanco(function(a) {
			persistenceBanco = a;
			var start = new Date().getTime();
			persistenceBanco.clientes.query().all().execute().done(function(results) {
				bd = results;
				gridGrande();
			});
		});
	}

	jQuery(".opcaoMenu").trigger("click");
	jQuery('.adpopup').fadeOut(500, function() {
		jQuery('.adpopup').remove();
		jQuery('.adpopup-overlay').fadeOut(500);
	});
	

}

function ordenacaoCliente(valorReferencia) {

	var valor = valorReferencia;
	bd.sort(function(obj1, obj2) {
		var um = obj1[valor];
		var dois = obj2[valor];

		if (um.indexOf('.') != -1) {
			um = parseFloat(obj1[valor].replace(",", "."));
			dois = parseFloat(obj2[valor].replace(",", "."));
			return dois - um;
		} else {
			return um < dois ? -1 : (um > dois ? 1 : 0);
		}
	});
	jQuery(".opcaoMenu").trigger("click");
	jQuery('.adpopup').fadeOut(500, function() {
		jQuery('.adpopup').remove();
		jQuery('.adpopup-overlay').fadeOut(500);
	});
	gridGrande();
}

function botaoBackListaPedido() {
	if (jQuery('.adpopup').length > 0 || jQuery('.menuAberto').length > 0) {
		if (jQuery('.adpopup').length > 0) {
			jQuery('.adpopup').fadeOut(500, function() {
				jQuery('.adpopup').remove();
				jQuery('.adpopup-overlay').fadeOut(500);
			});
		} else if (jQuery('.menuAberto').length > 0) {
			jQuery(".opcaoMenu").trigger('click');
		}
		if (localStorage.getItem("clienteEditar") != '') {
			localStorage.setItem("clienteEditar", '');
		}
	} else {
		window.location.replace('../../../view/pedidos/pedidoPrincipal.html');
	}
}
